#!/bin/bash

set -e

echo
echo "saas-deployer-base-image check:"
echo
echo "arch type:"
uname -m
echo
echo "python3 version:"
python3 --version
echo
echo "gcloud version:"
gcloud version
echo
echo "aws version:"
aws --version
echo
echo "az version:"
az --version
echo
echo "podman cli version:"
podman --version
echo
echo "kubectl version:"
kubectl version --client=true --short
echo
echo "helm version:"
helm3 version --short | cut -d'+' -f1
echo
echo "argocd version:"
argocd version --client
echo
echo "stern version:"
stern -v
echo
echo "sdm version:"
sdm --version
echo
echo "aliyun version:"
aliyun version
echo
echo "crane version:"
crane version
echo
